com.mockobjects

## Class AbstractExpectationCollection

- java.lang.Object
- - com.mockobjects.AbstractExpectation
  - - com.mockobjects.AbstractExpectationCollection

- All Implemented Interfaces:
    Expectation, ExpectationCollection, Verifiable
  Direct Known Subclasses:
    ExpectationList, ExpectationSet

      public abstract class AbstractExpectationCollection
      extends AbstractExpectation
      implements ExpectationCollection

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractExpectationCollection(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActual(int actualItem)`
    `void` | `addActual(java.lang.Object actualItem)`
    `void` | `addActualMany(java.util.Enumeration items)`
    `void` | `addActualMany(java.util.Iterator items)`
    `void` | `addActualMany(java.lang.Object[] items)`
    `void` | `addExpected(int expectedItem)`
    `void` | `addExpected(java.lang.Object expectedItem)`
    `void` | `addExpectedMany(java.util.Enumeration expectedItems)`
    `void` | `addExpectedMany(java.util.Iterator expectedItems)`
    `void` | `addExpectedMany(java.lang.Object[] expectedItems)`
    `void` | `clearActual()`
    `void` | `setExpectNothing()` Tell the object to expect nothing to happen to it, perhaps because the test is exercising the handling of an error.
    `void` | `verify()` Throw an AssertionFailedException if any expectations have not been met.

    - ### Methods inherited from class com.mockobjects.AbstractExpectation

      `hasExpectations, setFailOnVerify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.mockobjects.Expectation

      `hasExpectations, setFailOnVerify`

- - ### Constructor Detail

    - #### AbstractExpectationCollection

          public AbstractExpectationCollection(java.lang.String name)

  - ### Method Detail

    - #### addActual

          public void addActual(java.lang.Object actualItem)

      Specified by:
        `addActual` in interface `ExpectationCollection`

    - #### addActual

          public void addActual(int actualItem)

    - #### addActualMany

          public void addActualMany(java.lang.Object[] items)

      Specified by:
        `addActualMany` in interface `ExpectationCollection`

    - #### addActualMany

          public void addActualMany(java.util.Enumeration items)

      Specified by:
        `addActualMany` in interface `ExpectationCollection`

    - #### addActualMany

          public void addActualMany(java.util.Iterator items)

      Specified by:
        `addActualMany` in interface `ExpectationCollection`

    - #### addExpected

          public void addExpected(int expectedItem)

    - #### addExpected

          public void addExpected(java.lang.Object expectedItem)

      Specified by:
        `addExpected` in interface `ExpectationCollection`

    - #### addExpectedMany

          public void addExpectedMany(java.lang.Object[] expectedItems)

      Specified by:
        `addExpectedMany` in interface `ExpectationCollection`

    - #### addExpectedMany

          public void addExpectedMany(java.util.Enumeration expectedItems)

      Specified by:
        `addExpectedMany` in interface `ExpectationCollection`

    - #### addExpectedMany

          public void addExpectedMany(java.util.Iterator expectedItems)

      Specified by:
        `addExpectedMany` in interface `ExpectationCollection`

    - #### clearActual

          public void clearActual()

      Specified by:
        `clearActual` in class `AbstractExpectation`

    - #### setExpectNothing

          public void setExpectNothing()

      Description copied from interface: `Expectation`
      Tell the object to expect nothing to happen to it, perhaps because the test is exercising the handling of an error. The Expectation will fail if any actual values are set. Note that this is not the same as not setting any expectations, in which case verify() will do nothing.
      Specified by:
        `setExpectNothing` in interface `Expectation`

    - #### verify

          public void verify()

      Description copied from interface: `Verifiable`
      Throw an AssertionFailedException if any expectations have not been met.
      Specified by:
        `verify` in interface `Verifiable`
      Specified by:
        `verify` in class `AbstractExpectation`

Copyright © 2002 Mock Objects. All Rights Reserved.